Arch Panel Sheet

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Panel Sheet and the translation is 100% complete.

Other languages:
English • ‎español • ‎français • ‎italiano • ‎русский
Arrow-left.svg Page précédente: Arch Panel Cut.svg Découpe de panneaux
Page suivante: Économiseur Arch Nest.svg Arrow-right.svg

Arch Panel Sheet.svg Arch Panel Sheet

Emplacement du menu
Arch → Panel tools → Panel Sheet
Ateliers
Arch
Raccourci par défaut
P,S
Introduit dans la version
-
Voir aussi
Arch Panel, Arch Panel Cut, Arch Nest


Description

Cet outil permet de construire une feuille en 2D, y compris n'importe quel nombre d'objets Panneaux coupés, ou tout autre objet 2D tel que ceux réalisés par le l'atelier Draft et atelier Sketcher. Le panneau est typiquement fait pour mettre en page des coupes destinées à être exécutées sur une machine à commande numérique par ordinateur. Ces feuilles peuvent ensuite être exportées vers un fichier DXF.

Arch Wikihouse 03.jpg

Arch Wikihouse 04.jpg

L'image ci-dessus montre comment les panneaux apparaissent lors de l'exportation au format DXF.

Comment l'utiliser

  1. Optionnellement, selectionner un ou plusieurs objets Arch Panel Cut ou n'importe quel autre objet construits dans le plan XY.
  2. Presser le bouton Arch Panel Sheet.svg Arch Panel Sheet, ou presser les touches P et S
  3. Régler les propriétés désirées.

Options

  • Après la création du panneau, avec ou sans objets enfants, tout autre objet enfant peut être ajouté/supprimé du panneau en double-cliquant dessus dans l'arborescence et en ajoutant ou supprimant des objets de son Groupe
  • Double-cliquer sur le panneau dans l'arborescence permet également de déplacer les objets contenus dans cette feuille, ou de déplacer son tag
  • Il est possible de faire automatiquement des panneaux composés de plusieurs feuilles de matériaux, en élevant sa propriété Sheets
  • Les feuilles des panneaux peuvent afficher une marge, ce qui est utile pour s'assurer qu'un certain espace est toujours présent entre les objets intérieurs et la bordure de la feuille
  • Lorsque les panneaux sont exportées au format DXF, les contours, les trous intérieurs et les étiquettes de leurs enfants intérieurs sont placés sur des calques différents, comme indiqué sur l'image ci-dessus

Propriétés

Propriétés

  • DONNÉESHeight: La hauteur de la feuille
  • DONNÉESWidth: La largeur de la feuille
  • DONNÉESFill Ratio: Le pourcentage de la surface de la feuille qui est remplie par des coupes (automatique)
  • DONNÉESTag Text: Le texte à afficher
  • DONNÉESTag Size: La taille du texte de l'étiquette
  • DONNÉESTag Position: La position du texte de l'étiquette. Conserver (0,0,0) pour la position centrale automatique
  • DONNÉESTag Rotation: La rotation du texte de l'étiquette
  • DONNÉESFont File: La police du texte de l'étiquette
  • DONNÉESMake Face: Si face est réglé sur True, le panneau est une face de la pièce, sinon un fil (contour) de pièce
  • DONNÉESGrain Direction: Cela vous permet donner la direction principale de la fibre du panneau (dans le sens des aiguilles d'une montre, 0° signifie le haut du panneau)

Vue

  • VUEMargin: affichage d'une marge à l'intérieur de la bordure du panneau.
  • VUEShow Margin: active/désactive l'affichage de la marge.
  • VUEShow Grain: affiche une texture de fibre (Make Face doit être défini à True).

Script

Voir aussi: API and Débuter avec les scripts.

L'outil panneau peut être utilisé dans une macro et depuis la console Python en utilisant la fonction suivante:

Sheet = makePanelSheet(panels=[], name="PanelSheet")
  • Crée un objet Sheet à partir de panels qui est une liste d'objets Panneaux.

Exemple:

import FreeCAD, Draft, Arch

Rect = Draft.makeRectangle(500, 200)
Polygon = Draft.makePolygon(5, 750)

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2000, 400, 0)
p3 = FreeCAD.Vector(1250, 800, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)

Panel1 = Arch.makePanel(Rect, thickness=36)
Panel2 = Arch.makePanel(Polygon, thickness=36)
Panel3 = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

Cut1 = Arch.makePanelCut(Panel1)
Cut2 = Arch.makePanelCut(Panel2)
Cut3 = Arch.makePanelCut(Panel3)
Cut1.ViewObject.LineWidth = 3
Cut2.ViewObject.LineWidth = 3
Cut3.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Sheet = Arch.makePanelSheet([Cut1, Cut2, Cut3])

Tutoriels

Arrow-left.svg Page précédente: Arch Panel Cut.svg Découpe de panneaux
Page suivante: Économiseur Arch Nest.svg Arrow-right.svg